Bug 140981 - [PATCH] security/logcheck - use correct .conf file location in message
Summary: [PATCH] security/logcheck - use correct .conf file location in message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-28 22:10 UTC by Dan Langille
Modified: 2009-12-18 01:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (653 bytes, patch)
2009-11-28 22:10 UTC, Dan Langille
no flags Details | Diff
logcheck.diff (649 bytes, patch)
2009-11-28 22:22 UTC, Dan Langille
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Langille 2009-11-28 22:10:00 UTC
	
The installed logcheck script contains a hardcoded reference to the 
.conf file.  This patch fixes that to use the variable.

Umm, after creating this patch, I noticed that /etc/logcheck/footer.txt
and /etc/logcheck/header.txt should also be variables and patched
to /usr/local/etc/logcheck/ but I no longer have time.

FYI, this patch has not been tested, but I can do that later this week 
if this doesn't move forward.  Same with the above recommendation.

Fix: begin 644 logcheck.diff
Comment 1 Edwin Groothuis freebsd_committer 2009-11-28 22:10:10 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-11-28 22:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 3 Dan Langille 2009-11-28 22:22:46 UTC
The patch file seems to be crappy.

See attached:
Comment 4 Greg Larkin freebsd_committer 2009-12-05 02:24:59 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dan Langille wrote:
> The installed logcheck script contains a hardcoded reference to the
> .conf file. This patch fixes that to use the variable.
> 
> Umm, after creating this patch, I noticed that /etc/logcheck/footer.txt
> and /etc/logcheck/header.txt should also be variables and patched
> to /usr/local/etc/logcheck/ but I no longer have time.
> 
> FYI, this patch has not been tested, but I can do that later this week
> if this doesn't move forward. Same with the above recommendation.

Hi Dan,

I think we have to go one step further and place %%PREFIX%% in the patch
files, otherwise they will cause problems with non-standard installation
prefixes.  This will take a little more work and testing, so let me know
if you have time, or I'll try to carve some out next week.

Thank you,
Greg
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iD8DBQFLGcR70sRouByUApARAifdAKCsigbJtLzgurZYYzy+fENWxnB6MACfUD8g
+aNfU98YMqzAcf53fFq06fg=
=QD4k
-----END PGP SIGNATURE-----
Comment 5 Dan Langille 2009-12-05 03:21:25 UTC
Greg Larkin wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Dan Langille wrote:
>> The installed logcheck script contains a hardcoded reference to the
>> .conf file. This patch fixes that to use the variable.
>>
>> Umm, after creating this patch, I noticed that /etc/logcheck/footer.txt
>> and /etc/logcheck/header.txt should also be variables and patched
>> to /usr/local/etc/logcheck/ but I no longer have time.
>>
>> FYI, this patch has not been tested, but I can do that later this week
>> if this doesn't move forward. Same with the above recommendation.
> 
> Hi Dan,
> 
> I think we have to go one step further and place %%PREFIX%% in the patch
> files, otherwise they will cause problems with non-standard installation
> prefixes.  This will take a little more work and testing, so let me know
> if you have time, or I'll try to carve some out next week.
> 
> Thank you,
> Greg

I agree.  That is a good idea.  :)  Time?  Who has that?
Comment 6 Greg Larkin freebsd_committer 2009-12-09 01:19:40 UTC
State Changed
From-To: open->analyzed

Additional work needed for true installation directory parameterization.
Comment 7 dfilter service freebsd_committer 2009-12-18 01:31:30 UTC
glarkin     2009-12-18 01:31:19 UTC

  FreeBSD ports repository

  Modified files:
    security/logcheck    Makefile 
    security/logcheck/files pkg-message.in 
  Added files:
    security/logcheck/files extra-patch-debian__logcheck.cron.d.in 
                            extra-patch-docs__logcheck.8.in 
                            extra-patch-etc__logcheck.conf.in 
                            extra-patch-src__logcheck.in 
  Removed files:
    security/logcheck/files patch-debian__logcheck.cron.d 
                            patch-docs__logcheck.8 
                            patch-etc__logcheck.conf 
                            patch-src__logcheck 
  Log:
  - Parameterized all non-hier(7)-compliant paths in the logcheck script,
    man page and config files, adding support for a custom PREFIX setting.
  - Parameterized the shebang line in the logtail script
  - Bumped PORTREVISION
  
  PR:             ports/140981
  Submitted by:   Dan Langille <dan@langille.org>
  
  Revision  Changes    Path
  1.28      +14 -4     ports/security/logcheck/Makefile
  1.1       +16 -0     ports/security/logcheck/files/extra-patch-debian__logcheck.cron.d.in (new)
  1.1       +118 -0    ports/security/logcheck/files/extra-patch-docs__logcheck.8.in (new)
  1.1       +16 -0     ports/security/logcheck/files/extra-patch-etc__logcheck.conf.in (new)
  1.1       +181 -0    ports/security/logcheck/files/extra-patch-src__logcheck.in (new)
  1.2       +0 -16     ports/security/logcheck/files/patch-debian__logcheck.cron.d (dead)
  1.2       +0 -118    ports/security/logcheck/files/patch-docs__logcheck.8 (dead)
  1.2       +0 -16     ports/security/logcheck/files/patch-etc__logcheck.conf (dead)
  1.3       +0 -150    ports/security/logcheck/files/patch-src__logcheck (dead)
  1.3       +2 -2      ports/security/logcheck/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Greg Larkin freebsd_committer 2009-12-18 01:32:04 UTC
State Changed
From-To: analyzed->closed

Committed with additional modifications, thank you!